# use "F:\SISP09 gennaio 2010\versione paper novembre 2009\per WEP\italy japan 11 july 2010.dta", clear
use "F:\SISP09 gennaio 2010\versione paper novembre 2009\per WEP\GLOPE II seminar\solo Italy e Japan analisi\solo Italy and Japan per journal\paper inviato PP\12 July\da inviare\finale\January 2011\italy_japan_CMP.dta", clear

######################################
# con Italy = 0.5
######################################

# Model 2
glm propcorru c.rile_ratiook##i.italy wmean_altri304 vote_diff_psi if MV!=. & var30==.,  link(logit) family(binomial) robust

# Model 1
glm propcorru  rile_ratiook wmean_altri304 vote_diff_psi italy if MV!=. & var30==.,  link(logit) family(binomial) robust

# Model 1 without ALSO Italy 1992 (NO CHANGE!)
glm propcorru  rile_ratiook wmean_altri304 vote_diff_psi italy if MV!=. & var31==.,  link(logit) family(binomial) robust

# mean wmean_altri304 vote_diff_psi if e(sample)

preserve

drawnorm MG_b1-MG_b5, n(10000) means(e(b)) cov(e(V)) clear

postutil clear
postfile mypost prob_hat0 lo0 hi0 using sim , replace 
noisily display "start"

local a=0
while `a'<=1.3{
{
scalar  altri =  4.795686
scalar voti_diff = 20.85335  
scalar italy = 0.5 
scalar costante =   1  

	generate exp0 = (MG_b1*(`a') + MG_b2*altri  + MG_b3*voti_diff +MG_b4*italy+MG_b5*costante)
	gen prob0 = 1/(1+exp(-exp0))
 	
		egen probhat0=mean(prob0)
    	tempname prob_hat0 lo0 hi0 

    	_pctile prob0, p(2.5,97.5) 
    	scalar `lo0' = r(r1)
    	scalar `hi0' = r(r2)  

    	scalar `prob_hat0'=probhat0
    
	post mypost (`prob_hat0') (`lo0') (`hi0') 
    	}

	drop exp0  prob0   probhat0 

	local a=`a'+0.1
	display "." _c
	}	

	display ""
	postclose mypost

	use sim, clear

	gen MV = (_n-1)/10
	
# twoway (line prob_hat0 MV, clwidth(medium) clcolor(blue) clcolor(black) yaxis(1)) (line  lo0  MV, clpattern(dash) clwidth(thin) clcolor(black) yaxis(1)) ///
# (line  hi0    MV, clpattern(dash) clwidth(thin) clcolor(black) yaxis(1)) 


# merge using "F:\SISP09 gennaio 2010\versione paper novembre 2009\per WEP\italy japan 11 july 2010.dta"
merge using "F:\SISP09 gennaio 2010\versione paper novembre 2009\per WEP\GLOPE II seminar\solo Italy e Japan analisi\solo Italy and Japan per journal\paper inviato PP\12 July\da inviare\finale\January 2011\italy_japan_CMP.dta"

twoway (hist rile_ratiook, percent yaxis(2) lwidth(vvthin) lcolor(white) bin(20) ) ///
(line prob_hat0 MV if MV<2, clwidth(medium) clcolor(blue) clcolor(black) yaxis(1)) ///
, yscale(alt axis(2)) yscale(alt axis(1))  xlabel(0 (0.2) 1, labsize(3))  ylabel(0 (0.02) 0.10, labsize(3)) yscale(noline) xscale(noline) ///
xtitle(DISTANCE, size(3)  ) ytitle("Emphasis on CORRUPTION", axis(1) size(3)) ytitle("Percentage of Observations", axis(2) size(3)) ///
xsca(titlegap(2)) ysca(titlegap(2) axis(1)) ysca(titlegap(2) axis(2)) scheme(s2mono) graphregion(fcolor(white)) ///
legend(size(3) order(2 1) col(1) label(1 "Observed Frequencies of DISTANCE") label(2 "Expected value of CORRUPTION") region(lcolor(white))) 

# con interazione!!!
glm propcorru  rile_ratiook wmean_altri304 vote_diff_psi italy  inter_ratiook if MV!=. & var30==.,  link(logit) family(binomial) robust


# con solo DC (senza PSI!)
glm propcorru  rile_ratio wmean_altri304 vote_diff_psi italy  if MV!=. & var30==.,  link(logit) family(binomial) robust


