use "F:\valence competition Italy and Japan CMP.dta", clear

# Variables included in the dataset

# PROPCORRU: relative emphasis given to political corruption issues by the Italian Communist party (PCI) 
# and by the Japanese Socialist Party (JSP) in each party manifesto

# DISTANCE: spatial distance along a left-right scale between the PCI (JSP) and the  and its government counterpart(s) 
# (for PCI: DC up to 1982; a weighted mean between DC and PSI since 1983; for JSP: LDP)

# OTHER_CORRUPTION: average emphasis given by cabinet parties to political corruption issues during each investiture debate 

# NOCABINET_CORRUPTION: average emphasis given by the other parties (others than PCI/JSP) to political corruption issues in their 
# electoral manifestos weighted by parties vote shares

# VOTE_DIFFERENCE: difference in terms of votes recorded in each election between the PCI and the DC 
# (and between the PCI and the sum of votes of DC and PSI since 1983) in the Italian case and between
# JSP and LDP in the Japanese case

# ITALY: a dummy for the Italian case

# Model 1
glm PROPCORRU  DISTANCE OTHER_CORRUPTION VOTE_DIFFERENCE ITALY,  link(logit) family(binomial) robust

# Model 2
glm PROPCORRU C.DISTANCE##I.ITALY OTHER_CORRUPTION VOTE_DIFFERENCE,  link(logit) family(binomial) robust


